## python-azure-devtools 0.5.0+git

=== requirements.txt ===
codecov==2.0.9
mock==2.0.0;python_version<="2.7"
nose==1.3.7
pylint==1.7.1

-e .

## python-azure-devtools 0.5.0%2Bgit

=== debian/changelog ===
python-azure-devtools (0.5.0+git-1) unstable; urgency=medium

  * Initial release. (Closes: #873083)

 -- Iain R. Learmonth <irl@debian.org>  Thu, 14 Sep 2017 12:21:49 +0100

=== debian/control ===
Source: python-azure-devtools
Maintainer: Debian Azure Packaging Team <pkg-azure-team@lists.alioth.debian.org>
Uploaders: Iain R. Learmonth <irl@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-configargparse,
               python-setuptools,
               python-six (>= 1.10.0~),
               python-vcr,
               python3-all,
               python3-configargparse,
               python3-setuptools,
               python3-six (>= 1.10.0~),
               python3-vcr
Standards-Version: 4.1.0
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-azure/python-azure-devtools.git
Vcs-Git: https://anonscm.debian.org/git/pkg-azure/python-azure-devtools.git
Homepage: https://github.com/Azure/azure-python-devtools

Package: python-azure-devtools
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends}
Description: Microsoft Azure Development Tools for Python 2.x
 This package contains tools to aid in developing Python-based Azure code.
 Currently it includes scenario_tests, a testing framework to handle much of
 the busywork associated with testing code that interacts with Azure.
 .
 This is the Python 2 version of the package.

Package: python3-azure-devtools
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Microsoft Azure Development Tools for Python 3.x
 This package contains tools to aid in developing Python-based Azure code.
 Currently it includes scenario_tests, a testing framework to handle much of
 the busywork associated with testing code that interacts with Azure.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=azure-devtools

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/azure-devtools/azure-devtools-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-azure-devtools 1.1.1

=== requirements.txt ===
codecov==2.0.9
mock==2.0.0
pylint==1.8.4
pytest==3.5.1
pytest-cov==2.5.1

-e .[ci_tools]

=== debian/changelog ===
python-azure-devtools (1.1.1-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Rename d/tests/control.autodep8 to d/tests/control.
  * Use debhelper-compat instead of debian/compat.

  [ Andrey Rahmatullin ]
  * Drop Python 2 support.

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 18 Aug 2019 01:41:28 +0500

python-azure-devtools (1.1.1-1) unstable; urgency=medium

  * New upstream release
  * Adopt package in the Debian Python Modules Team (Closes: #889085, #899664)
    - Thanks to Iain R. Learmonth for his past work on the package.
  * Run build-time tests
  * Update to Standards-Version 4.2.1 (no further changes)
  * Set Rules-Requires-Root: no
  * Turn debhelper compat level up to 11
  * Add suggests for the ci_tools submodule dependencies
  * Add autopkgtests

 -- Nicolas Dandrimont <olasd@debian.org>  Fri, 09 Nov 2018 14:16:52 +0100

=== debian/control ===
Source: python-azure-devtools
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Nicolas Dandrimont <olasd@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 11),
               dh-python,
               python3-all,
               python3-configargparse,
               python3-contextlib2,
               python3-git,
               python3-github,
               python3-mock,
               python3-pytest,
               python3-requests,
               python3-setuptools,
               python3-six (>= 1.10.0~),
               python3-vcr
Standards-Version: 4.2.1
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-azure-devtools
Vcs-Git: https://salsa.debian.org/python-team/modules/python-azure-devtools.git
Homepage: https://github.com/Azure/azure-python-devtools

Package: python3-azure-devtools
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: ${python3:Suggests}
Description: Microsoft Azure Development Tools for Python 3.x
 This package contains tools to aid in developing Python-based Azure code.
 Currently it includes scenario_tests, a testing framework to handle much of
 the busywork associated with testing code that interacts with Azure.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=azure-devtools

# The tests for ci_tools depend on network access; cp -r src/azure_devtools/ci_tools/tests {build_dir}/tests/ci_tools
export PYBUILD_BEFORE_TEST=mkdir {build_dir}/tests; cp -r src/azure_devtools/scenario_tests/tests {build_dir}/tests/scenario
export PYBUILD_AFTER_TEST=rm -r {build_dir}/tests

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_python3:
	dh_python3 --suggests-section=ci_tools

=== debian/tests/control ===
Depends: python3-azure-devtools, python3-all, python3-pytest, python3-mock
Test-Command: cp -r src/azure_devtools/scenario_tests/tests $AUTOPKGTEST_TMP; cd $AUTOPKGTEST_TMP; for p in $(py3versions -s); do $p -m pytest -v; done

# Depends: python3-azure-devtools, python3-all, python3-pytest, python3-mock, python3-git, python3-github, python3-github.tests, python3-requests
# Test-Command: cp -r src/azure_devtools/ci_tools/tests $AUTOPKGTEST_TMP; cd $AUTOPKGTEST_TMP; for p in $(py3versions -s); do $p -m pytest -v; done

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%,uversionmangle=s/(rc|a|b|c)/~$1/" \
    https://github.com/Azure/azure-python-devtools/releases \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## python-azure-devtools 1.2.0

=== requirements.txt ===
codecov==2.0.9
mock==2.0.0
pylint==2.5.3;  python_version > '3'
pylint==1.8.4;  python_version < '3'
isort==4.3.21   # https://github.com/PyCQA/pylint/pull/3725
pytest==3.5.1
pytest-cov==2.5.1

-e .[ci_tools]

=== debian/changelog ===
python-azure-devtools (1.2.0-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.
  * Bump debhelper from old 12 to 13.

  [ Luca Boccassi ]
  * Bump Standards-Version to 4.6.0, no changes
  * Switch to dh-sequence-python3
  * Skip broken test (Closes: #997493)

 -- Luca Boccassi <bluca@debian.org>  Fri, 05 Nov 2021 12:52:23 +0000

python-azure-devtools (1.2.0-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

  [ Luca Boccassi ]
  * Update upstream source from tag 'upstream/1.2.0'

 -- Luca Boccassi <bluca@debian.org>  Fri, 07 Aug 2020 10:49:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: python-azure-devtools
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Nicolas Dandrimont <olasd@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 11),
-               dh-python,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
                python3-all,
                python3-configargparse,
                python3-contextlib2,
@@ -16,11 +16,11 @@
                python3-setuptools,
                python3-six (>= 1.10.0~),
                python3-vcr
-Standards-Version: 4.2.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-azure-devtools
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-azure-devtools.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-azure-devtools
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-azure-devtools.git
 Homepage: https://github.com/Azure/azure-python-devtools
 
 Package: python3-azure-devtools

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=azure-devtools

# The tests for ci_tools depend on network access; cp -r src/azure_devtools/ci_tools/tests {build_dir}/tests/ci_tools
export PYBUILD_BEFORE_TEST=mkdir {build_dir}/tests; cp -r src/azure_devtools/scenario_tests/tests {build_dir}/tests/scenario
export PYBUILD_AFTER_TEST=rm -r {build_dir}/tests
# This test is broken and not very useful, skip it
export PYBUILD_TEST_ARGS=-v --ignore=tests/scenario/test_integration_test_base.py

%:
	dh $@ --buildsystem=pybuild

override_dh_python3:
	dh_python3 --suggests-section=ci_tools

=== debian/tests/control ===
Depends: python3-azure-devtools, python3-all, python3-pytest, python3-mock, python3-all:any,
Test-Command: cp -r src/azure_devtools/scenario_tests/tests $AUTOPKGTEST_TMP; cd $AUTOPKGTEST_TMP; for p in $(py3versions -s); do $p -m pytest -v --deselect=tests/test_integration_test_base.py::TestIntegrationTestBase::test_live_test_default_constructor; done

# Depends: python3-azure-devtools, python3-all, python3-pytest, python3-mock, python3-git, python3-github, python3-github.tests, python3-requests
# Test-Command: cp -r src/azure_devtools/ci_tools/tests $AUTOPKGTEST_TMP; cd $AUTOPKGTEST_TMP; for p in $(py3versions -s); do $p -m pytest -v; done
